=== debian/changelog ===
deadbeef-musical-spectrum-dmo (0.0~20210126-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Jan 2021 08:55:33 +0100

deadbeef-musical-spectrum-dmo (0.0~20191221-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Mar 2020 10:10:29 +0100

deadbeef-musical-spectrum-dmo (0.0~20180609-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Mar 2019 09:30:31 +0100

deadbeef-musical-spectrum-dmo (0.0~20170206-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Feb 2017 14:52:04 +0100
