=== debian/control ===
Source: deadbeef-musical-spectrum-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/cboxdoerfer/ddb_musical_spectrum
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), deadbeef-plugins-dev, libgtk-3-dev, libfftw3-dev

Package: deadbeef-musical-spectrum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deadbeef
Description: Musical Spectrum plugin for DeaDBeeF
 This plugin is based on DeaDBeeFs stock spectrum. It offers variable FFT
 size (up to 32768), Blackmann-Harris and Hanning window functions, and
 various eye candy options.
