=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) gtk3

override_dh_install:

	dh_install gtk3/ddb_vis_musical_spectrum_GTK3.so	usr/lib/$(DEB_HOST_MULTIARCH)/deadbeef
